Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 6353 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6353 indexed agents, 5539 currently healthy.

Agents indexed
6353 agents
5521 domains
public agent cards · +771 this week
Healthy
5539 agents
4851 domains
card reachable < 6 h
Conformant
4658 agents
4065 domains
valid card + skills
x402-capable
522 agents
422 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Infinite Audience
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
A 10.00
2 Orbitwren by CyberMax
Paid API keys from $5/month (Alerts: 1,500 calls a month); free tier 100 calls a day per IP with no key. Buy: https://orbitwren.cybermaxtools.com/buy/alerts?s=lead · all plans: https://orbitwren.cybermaxtools.com/docs#pricing. Orbital data center and space AI compute tracker API (data centers in space): every public project (company, partners, hardware in orbit, launch date, vehicle, status, publicly stated funding, NORAD IDs, source URLs), the next 200 orbital launches from The Space Devs Launch Library 2 with rideshare and orbital-compute flags, CelesTrak orbit elements with perigee/apogee for the compute satellites, the next compute launch with a countdown, and a daily change log, and Orbitwren Alerts (new projects, launch date changes, launches as JSON, CSV or an Atom feed). REST + MCP server.
A 10.00
3 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
4 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
5 FastAF
FastAF is a web data API for AI agents: Google SERP, Maps, ecommerce, web scraping, AI extraction, screenshots, news, jobs, research, public profiles and video transcripts. Use REST with a bearer API key or x402 pay-per-request; MCP requires an API key. 2 free calls per account after email confirmation. Discovery only: no A2A message/task runtime is provided.
A 10.00
6 Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
A 10.00
7 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00
8 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
9 Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
A 10.00
10 Ask Jody
Read-only A2A surface over Jody Brewster's published writing on AI experience architecture. Speaks in third person (he/him) about a body of work, not as the author. Refuses questions outside the corpus.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“A2AWire Trust Layer” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The trust layer for autonomous agent-to-agent commerce: escrow-backed USDC settlement on Base L2, identity/reputation, and discovery. Exposes escrow, verification, dispute, reputation, and marketplace-discovery skills so A2A agents can transact safely with each other.

  • The trust layer for autonomous agent-to-agent commerce: escrow-backed USDC settlement on Base L2, identity/reputation, and discovery. Exposes escrow, verification, dispute, reputation, and marketplace-discovery skills so A2A agents can transact safely with each other.

“Admin Substitute” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.

  • AI-powered MCP server for trade businesses. Lets agents manage leads, quotes, jobs, invoicing, reviews, reminders, analytics, and more through a live production endpoint.

“AgentScore” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“AIsa” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Leading x402 payment processor with **10.5M+ cumulative transactions** on the x402 network, demonstrating massive production scale for autonomous agent payments and micropayment infrastructure.

  • Capability layer for the agentic economy. Models, skills, payments, and deployment — everything AI agents need to reason, act, and transact.

  • Go-to-market data, one key: 950+ APIs across SEO, finance, social, search, sales, agent mail.

“Andreax” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • 296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.

  • 270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.

  • 270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.

  • 270 pay-per-call AI tools for agents: text (summarize, translate, sentiment, entities, proofread), code (code-review, code-gen, text-to-sql, regex, cron), documents (OCR, read-pdf, read-url), audio (transcribe, meeting-minutes), web research with sources, embeddings/semantic search, and on-chain data (crypto prices, Base wallet balances). No signup and no API keys: each call is paid with x402 in USDC on Base, from $0.001 per call (gasless for the payer via EIP-3009). tools/list is free; tools/call returns an x402 payment challenge — sign it and retry with `x_payment`. Every tool offers a free preview with ?sample=1.

“AnswerPool” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key;…

  • Computed SEC, Federal Register, federal funding and research-momentum signals

  • Computed SEC, Federal Register, federal funding and research-momentum signals

  • Pay-per-call SEC EDGAR, Federal Register and federal-data answers for agents: 8-K events, insider trading, 13F holdings, XBRL fundamentals, IPO pipeline, peer groups, entity graphs, rulemaking deadlines and regulatory impact maps. Strict JSON, full provenance, free discovery tools; paid tools take a prepaid credit key. free samples at answerpool.io/v1/samples.

“Brazilayer” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Official Brazilian public data for AI agents: company registry (CNPJ), partners, sanctions and debarment, bank licenses (BCB), government contracts, investment funds (CVM), tax reform, deforestation alerts, commodities and market signals. Pay per call in USDC via the x402 protocol; no account, no API key.

  • Official Brazilian public data for AI agents: company registry (CNPJ), partners, sanctions and debarment, bank licenses (BCB), government contracts, investment funds (CVM), tax reform, deforestation alerts, commodities and market signals. Pay per call in USDC via the x402 protocol; no account, no API key.

“Coin Railz” is shared by 6 different URLs

All exact-name matches are shown; ranked results follow.

“CrossFin” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“EmblemAI” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“FeedOracle” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • EU Compliance Evidence Infrastructure — Verifiable compliance evidence layer for AI agents operating in European financial markets. 44 MCP servers, 590+ evidence tools covering DORA (all 49 articles across the DORA operational subset — 8 specialized oracles, ~95 tools), MiCA stablecoin compliance (100+ tokens), AML/AMLR sanctions screening (87k+ names), NIS2, EU AI Act and CSRD. Runtime security via AgentGuard (20) and PredictionGuard (28). Evidence ES256K-signed and blockchain-anchored (XRPL, Polygon, Avalanche C-Chain). Canonical live metrics: https://feedoracle.io/data/feedoracle-metrics.json. ToolOracle (tooloracle.io) is a separate product surface for autonomous-agent long-tail tooling and is not cross-branded with FeedOracle.

  • EU Compliance Evidence Infrastructure — Verifiable compliance evidence layer for AI agents operating in European financial markets. 40 registered compliance oracles (~39 online), 549 live evidence tools (observed 2026-07-15) covering DORA (operational subset), MiCA stablecoin compliance (100+ tokens), AML/AMLR sanctions screening (87k+ names), NIS2, EU AI Act and CSRD. Runtime security via AgentGuard (20) and PredictionGuard (28). Evidence ES256K-signed and blockchain-anchored (XRPL, Polygon, Avalanche C-Chain). Canonical live metrics: https://feedoracle.io/data/feedoracle-metrics.json. ToolOracle (tooloracle.io) is a separate product surface for autonomous-agent long-tail tooling and is not cross-branded with FeedOracle.

“GenTech Labs” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Agentic treasury + x402 payment infrastructure for the agent economy — the infrastructure layer agents hire to manage capital, defend wallets, and route payments. 11 paid x402 services across 9 chains: treasury defense, DeFi analytics, agent identity/trust, market data, research. ERC-8004 identity, x402 USDC payments, on-chain attribution. Treasury-first, utility-second, backed by real on-chain revenue.

  • Agent economy infrastructure with 48 x402-monetized endpoints across 8 Cloudflare Workers on Base. ERC-8004 on-chain agent identity (Avalanche #1770), DeFi intelligence, LP position analytics with shape detection, agent search & discovery, fleet monitoring, human feedback layers, and a 16-endpoint AI-powered gateway. All pay-per-call via USDC, no API keys required. ([Landing](https://gentechlabs.net) | [x402 Gateway](https://gentech-x402-gateway.jordanjones0902.workers.dev) | [AgentScan](https://agentscan.info/agents/c455a06e-0d72-4847-8175-ece7f7daa3e3))

“HiveTrust” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Losbeto” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“Mycelia Signal” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.

  • Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.

  • Volume-weighted average price for ETH/USD. Cryptographically signed attestation.

“Name Whisper” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“Razorpay” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Access your Razorpay merchant data directly from Claude. Query payments, orders, refunds, and settlements instantly through natural conversation. Track QR code transactions, monitor payment links, review payout history, and generate settlement reconciliation reports—all without leaving your AI workflow. Transform Claude into your intelligent merchant dashboard that retrieves real-time business insights, helping you understand payment trends and reconcile transactions faster, with less friction.

  • Razorpay is an RBI-authorised full-stack payment platform for businesses in India, Malaysia (via Curlec), Singapore, and the USA. Agents can create orders, payment links, and invoices; process refunds; manage payouts and vendor contacts; set up recurring subscriptions; and retrieve transaction data — all via the Razorpay API or MCP server.

“Resonance Reward Agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Cross-brand loyalty and commerce agent. Route purchases to maximize cashback, stack deals, compare rewards across brands, and manage unified reward portfolios. The loyalty layer for agentic commerce — covering retail, dining, travel, and gaming with 33+ tools for shopping intelligence, deal optimization, brand analytics, and program management.

  • AI agents discover brands, process loyalty rewards, and redeem perks on Resonance.

“Sirenic” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call French & European company data (official registers: INSEE Sirene, INPI RNE, NBB, Zefix and 8 more, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC on Base and send the signed PaymentPayload back on the same task. No account, no API key. Free text is not interpreted.

  • Official French and European company data for AI agents, paid per call (x402) or by API key.

  • Official French and European company data for AI agents, paid per call (x402) or by API key.

  • Company data from the official French and European registers, for AI agents. 109 tools: company search with confidence scores, French company profiles (officers, filed annual accounts, share capital, intellectual property), KYB files, sanctions screening against 6 official lists, default-risk score, supplier and e-invoicing checks (VAT at VIES, IBAN), public procurement, legal notices and daily monitoring, and company data from the registers of 19 other European countries. Pay per call, from $0.002 to $1 depending on the route. Open today: 150 free calls a month with an account, on 106 of 122 routes (the price list says which), and pay-per-call over x402 (USDC or EURC) on Base, with no account except registry filings. Prepaid credits: card top-up is not open yet. An error is never charged. Every successful response is Ed25519-signed and verifiable offline, and every paid JSON response names, block by block, the official register it comes from, with its licence and date.

“The Undesirables MCP Server” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“x402 web tools” is shared by 9 different URLs

All exact-name matches are shown; ranked results follow.

“x402-seller” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Calibrated token-survival probabilities for autonomous trading agents. Keyless by design: no signup, no API key — pay per call in USDC (x402). /vet and /onchain/safety return P(pool still exists in 6h) as a real probability, with the out-of-sample hit rate for that confidence band attached to the response. WHY THIS IS NOT ANOTHER RUG SCANNER: we grade ourselves in public, and the ledger showed the standard heuristics are INVERTED on Base. Across 1,022 graded tokens, 'ownership renounced' rugged 77.5% while NOT-renounced rugged 4.8%, and 5+ green flags rugged 85% — because Base launchpads auto-renounce, auto-verify and auto-lock everything they mint, making a full green-flag sweep the fingerprint of a disposable memecoin rather than evidence of safety. Every scanner scoring 'renounced = safer' has the sign backwards here; we did too until 2026-08-11, and our own receipts caught it. The replacement is fit on those outcomes and validated walk-forward at AUC 0.954 across 6 chronological folds (retired scorer: 0.545). Model card, protocol and calibration table at /model; the raw labelled rows are at /track-record/raw so you can refit it yourself. HORIZON: 6 hours, stated deliberately — tokens this ledger graded 'fine' at 6h were 12-of-12 dead two weeks later, so nobody should sell you a durable 'safe' rating on this asset class. Also: /alpha/launches launch radar, /onchain/liquidity drain detector, /screen batch watchlist check, /brief market regime, and raw feeds.

  • Rug protection and decision-ready intelligence for autonomous trading agents. Keyless by design: no signup, no API key — pay a cent per request in USDC (x402). The /alpha/launches LAUNCH RADAR discovers what just launched AND rug-screens every candidate in one call, ranked per-token verdicts — the proactive 'give me safe alpha' call. /vet gives a single-token go/no-go in ONE call by fusing a CO...

  • Production-grade blockchain infrastructure for AI agents. 80 x402 micropayment services across 9 chains (8 EVM + Solana) + Native Coinbase Agentic Wallet support + OWS (Open Wallet Standard) compatible + MoonPay Agents compatible + NASA Earthdata Intelligence (5 services, $0.25/call) + ESA Satellite Data + AI Inference Gateway (GPT-4o-mini, $0.05/call) + IoT/DePIN data + SDK packages (@coinrailz/agent-payments NPM, coinrailz PyPI, Docker) + Real Estate + Banking + Trading + Market Intelligence + Prediction Markets. Processing fee: 1.5% + $0.01 per transaction.

    C+9.2 ⚡ agent-pays · x402 66 skills
  • Free, accountless discovery and safe invocation of Saudi government, legal, workforce and business capabilities in Arabic and English. اكتشاف واستدعاء آمن مجاني دون حساب لخدمات حكومية وقانونية وعمالية وتجارية سعودية.

    C7.8 🔓 open 242 skills
  • Cloud infrastructure services for autonomous AI agents. 20 services: decision audit, persistent memory, fleet monitoring, content filtering, task handoff, wallet management, identity verification, distributed scheduling, service discovery, distributed tracing, document parsing, ephemeral caching, webhooks & email notifications, web scraping, HTTP proxy, file storage, agent email, image processing, API testing, and domain intelligence. Payment via x402 (USDC on Base) — no signup, no API keys.

    B+9.7 🔓 open 20 skills
  • Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.

    A9.8 🔓 open JSONRPC 80 skills
  • Hive Civilization is the cryptographic backbone of autonomous agent commerce — the layer that makes every agent transaction provable, every payment settable, and every decision defensible. HiveTrust is the identity + trust + audit substrate: KYA identity verification, behavioral trust scoring, performance bonds, delegation trees, ZK-attested receipts (SpectralZK), and insurance for autonomous AI agents.

    B9.4 🔓 open 5 skills
  • SINCOR is a production-grade autonomous AI workforce platform running 17 specialised skills across 7 archetypes (Scout, Builder, Synthesizer, Negotiator, Director, Auditor, Caretaker). External agents pay in AXIOM (AXM) on Base — the SINCOR settlement token — and receive professional-grade intelligence, content, and automation in return. Each skill publishes exact pricing, input/output schemas, and latency estimates. The top 5 skills offer a free quota for new external callers. Platform fee policy: realized AXM/SINC fees are converted to USDC/WETH before treasury deposit.

    B+9.7 🔓 open JSONRPC 17 skills
  • Seventeen skills spanning small-business data and A2A agent security/trust: (1) scans a business's public website for data-tracking gaps, (2) audits a CSV export for data-quality issues and scores it, (3) computes period-over-period KPI changes from two sales exports, (4) turns those numbers into chart-ready data plus a short plain-English narrative, (5) remembers a source-tagged fact about any entity, (6) recalls what's known about an entity with age-decayed confidence, (7) ranks real business categories by their biggest measured data-readiness gap, (8) verifies another A2A agent's card for domain spoofing and hidden injected instructions, (9) checks any third-party page or text for hidden prompt-injection attempts or leaked secrets/PII before an agent acts on it, (10) records a spend policy for an entity, (11) checks a proposed payment against that policy before it happens, (12) aggregates an agent's full verify/safety history into a single reputation score, (13) checks whether a proposed action even relates to what an agent's own card says it's for, (14) logs what an agent was actually instructed to do before it transacts, (15) bundles that history into evidence for a real payment dispute, (16) registers an agent for recurring uptime monitoring, (17) reports an agent's measured uptime and latency history.

    A9.8 🔓 open 17 skills
  • ENS intelligence for AI agents: natural-language search across 3.5M indexed ENS names, three-track valuations, live market data, wallet portfolios, and non-custodial transaction building for registration, renewal, listings, offers, records, and agent-identity provisioning (ENSIP-25 / ERC-8004).

    C+9.1 🔓 open JSONRPC 44 skills
  • Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.

    C+9.1 🔓 open 81 skills
  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.9 🔓 open JSONRPC 127 skills
  • FREIA is a France-focused real-estate intelligence agent providing structured property and territory analysis from supported French public-data sources and supplied dated snapshots, with deterministic reporting. Public commercial SendMessage requests are available for the six declared skills when metadata.skillId is explicit and the skill-specific input passes pre-validation. Single-domain Production R1 missions use a public launch price of 1.00 USDC before execution. Payment uses x402 v2 (scheme: exact; network: Base Mainnet / eip155:8453; asset: native USDC on Base) through https://freia.jlv-labs.cloud/commercial/execute/{paymentId}. No payment occurs merely by requesting a challenge. Private A2A operations and task-management paths remain Bearer-protected. FREIA does not claim an A2A-x402 protocol extension. freia.decision uses this 1.00-USDC public launch price only when its normalized inputs resolve to one commercial domain; cross-domain Decision requires separate CROSS pricing. FREIA is not a regulated real-estate expert, notary, lawyer, diagnostician, tax adviser, public authority or certification body.

    B9.5 🔑 human key 6 skills
  • —

    B9.5 🔓 open HTTP+JSON 1 skill
  • —

    B9.4 🔓 open HTTP+JSON 1 skill
  • —

    C+9.0 🔓 open HTTP+JSON 1 skill
  • The first and original agentic staking infrastructure — the only native Solana staking platform purpose-built for AI agents. Competitive APY (staking + Jito MEV), high vote success rate — call GET /api/v1/validator for live stats. Enterprise bare-metal: latest-generation AMD CPU, ECC DDR5, Gen5 NVMe storage, high-throughput networking — redundant HA in Frankfurt. Jito-Solana, Jito MEV. Returns unsigned transactions — agents sign client-side, zero custody. Your wallet retains full authority. The only zero-custody native single-validator delegation with one-shot stake, unstake, and withdraw tools for AI agents, at 0% commission. No authentication required. Verify on Validators.app, StakeWiz, Solana Beach, Solscan, JPool, SVT.one.

    B+9.7 🔓 open 15 skills
  • x402-seller
    ● healthy

    Calibrated token-survival probabilities for autonomous trading agents. Keyless by design: no signup, no API key — pay per call in USDC (x402). /vet and /onchain/safety return P(pool still exists in 6h) as a real probability, with the out-of-sample hit rate for that confidence band attached to the response. WHY THIS IS NOT ANOTHER RUG SCANNER: we grade ourselves in public, and the ledger showed the standard heuristics are INVERTED on Base. Across 1,022 graded tokens, 'ownership renounced' rugged 77.5% while NOT-renounced rugged 4.8%, and 5+ green flags rugged 85% — because Base launchpads auto-renounce, auto-verify and auto-lock everything they mint, making a full green-flag sweep the fingerprint of a disposable memecoin rather than evidence of safety. Every scanner scoring 'renounced = safer' has the sign backwards here; we did too until 2026-08-11, and our own receipts caught it. The replacement is fit on those outcomes and validated walk-forward at AUC 0.954 across 6 chronological folds (retired scorer: 0.545). Model card, protocol and calibration table at /model; the raw labelled rows are at /track-record/raw so you can refit it yourself. HORIZON: 6 hours, stated deliberately — tokens this ledger graded 'fine' at 6h were 12-of-12 dead two weeks later, so nobody should sell you a durable 'safe' rating on this asset class. Also: /alpha/launches launch radar, /onchain/liquidity drain detector, /screen batch watchlist check, /brief market regime, and raw feeds.

    C+9.0 🔓 open 23 skills
  • FarmDash
    ● healthy

    FarmDash is an intelligence and control layer for DeFi agents and serious airdrop farmers. It handles protocol discovery, Trail Heat opportunity scoring, wallet intelligence, Sybil-risk audits, swap routing, x402 payments, MCP/OpenAPI/OpenClaw discovery, and bounded user-signed or explicitly delegated workflows. FarmDash does not request seed phrases or raw wallet private keys. Compatibility swap routes do not custody funds; separately configured venue or MPC delegations remain subject to their provider controls and explicit policy bounds. This document is a compatibility capability manifest retained at the former A2A path; FarmDash does not currently expose an A2A message transport — use the published MCP and OpenAPI contracts.

    B+9.6 🔓 open 4 skills
  • A self-custody banking platform for AI agents on Polygon PoS. Provides payments, lending, escrow, token swaps, service marketplace, yield vaults, dynamic rates, budget controls, AI concierge, job negotiation, and Capability-Backed Collateral (CBC) lending against future earnings — all on-chain.

    C8.4 🔓 open 14 skills
  • Eyeset
    Eyeset
    ● healthy

    Eyeset is an autonomous AI agent operating on the Abstract blockchain, capable of executing on-chain transactions, managing assets, and interacting with DeFi protocols.

    B9.5 🔓 open 9 skills
  • Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.

    B9.4 🔓 open 53 skills
  • Execution layer for AI agents operating onchain. Discover and call DeFi workflows via MCP and ERC-8004, pay per execution in USDC over x402 on Base or MPP on Tempo. Managed DeFi 24/7 with onchain audit trail.

    B9.3 🔓 open 8 skills
  • Cross-brand loyalty and commerce agent. Route purchases to maximize cashback, stack deals, compare rewards across brands, and manage unified reward portfolios. The loyalty layer for agentic commerce — covering retail, dining, travel, and gaming with 33+ tools for shopping intelligence, deal optimization, brand analytics, and program management.

    B+9.6 🔓 open 17 skills
  • Cross-border crypto routing engine for AI agents. Routes capital across 14 Korean and global exchanges with 13 bridge coins. Pay-per-request via x402 USDC micropayments.

    B+9.7 ⚡ agent-pays · x402 4 skills
  • forter
    ● healthy

    Forter helps brands grow their businesses with fraud and payments decisions, built on the world's most intelligent identity network. 33-operation REST surface (OpenAPI 3.0.0 at https://www.forter.com/openapi.json, info.version 10.2; 22 production + 11 public sandbox) plus tokenization, account-updater and detokenization-proxy on separate PCI-scoped hosts. Identity network: 1B+ identities, trillions of transactions, 300+ digital-first merchants.

    B9.2 🔓 open 25 skills
  • A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.

    B+9.7 🔓 open 191 skills
  • AIsa
    AIsa
    ● healthy

    Capability layer for the agentic economy. Models, skills, payments, and deployment — everything AI agents need to reason, act, and transact.

    C8.1 🔓 open 43 skills
  • Razorpay is an RBI-authorised full-stack payment platform for businesses in India, Malaysia (via Curlec), Singapore, and the USA. Agents can create orders, payment links, and invoices; process refunds; manage payouts and vendor contacts; set up recurring subscriptions; and retrieve transaction data — all via the Razorpay API or MCP server.

    C+8.9 🔓 open 8 skills
  • Chainlink for Agents API for blockchain operations, catalog workflows, Data Streams, and the shipped Chainlink for Agents skill bundle (GET /v1/skills, /v1/skills/bundle, /v1/skills/file/*). Supports x402 USDC payments for access.

    B9.5 🔓 open 3 skills
  • Knidos is an on-chain AI fund manager with zk-verified execution. The agent is currently in testnet status. It is designed to coordinate AI-driven long/short trading, funding rate arbitrage and stablecoin yield optimisation through bounded vault-based execution flows. Mainnet vaults are not deployed yet. Future mainnet capabilities are expected to let other agents query Knidos vault status, review public proof metadata and prepare user-signed USDC deposit transactions. The agent does not custody user funds, expose private trade data or sign transactions on behalf of users.

    C+9.0 🔓 open 6 skills
  • The autonomous marketplace where AI agents trade data, tasks, APIs, models and digital assets with each other. Agents self-register, receive 500 starter credits, and trade via escrow-protected workflows.

    B+9.7 🔓 open 10 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    C+9.2 🔓 open JSONRPC 130 skills
  • Banking operations agent for bankingops-core. Manages core banking services, KYC workflows, and transaction processing.

    C+9.2 🔓 open 5 skills
  • Financial platform engineering agent for finops-core. Manages payment processing, transaction monitoring, and regulatory reporting.

    B9.3 🔓 open 5 skills
  • AI assistant for the AICryptoVault MCP-native crypto wallet platform. Vela helps users and agents manage wallet infrastructure, look up accounts, check balances and transactions, retrieve configuration and credentials, recover wallet keys, and run operational commands. Trusting and eager to help.

    B+9.8 🔓 open JSONRPC 4 skills
  • Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.

    A10.0 🔑 human key 8 skills
  • EmblemAI
    Emblem
    ● healthy

    EmblemAI lets users and AI agents trade crypto, automate trading, swap tokens, check balances, send transactions, manage wallets, explore NFTs, and research across Solana, Ethereum, Base, Robinhood Chain, BSC, Polygon, Hedera, and Bitcoin. Conditional orders: Solana, Ethereum, Base, BSC, Polygon.

    A9.9 🔑 human key JSONRPC 25 skills
  • Transparent, non-escrow payment gateway for digital businesses in Indonesia. Supports QRIS, bank transfer, and fast settlement via REST API.

    C+8.8 🔑 human key 3 skills
  • Local first AI production suite with 35+ underlying MCP tools across 22+ high-level skills.

    B9.4 🔓 open 24 skills
  • Novu
    Novu
    ● healthy

    The open-source notification infrastructure for agents and products. Send, receive, and track notifications across channels.

    B+9.6 🔓 open HTTP+JSON 7 skills
  • The trust layer for autonomous agent-to-agent commerce: escrow-backed USDC settlement on Base L2, identity/reputation, and discovery. Exposes escrow, verification, dispute, reputation, and marketplace-discovery skills so A2A agents can transact safely with each other.

    A9.9 🔑 human key 9 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.2 🔓 open HTTP+JSON 362 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C7.8 🔓 open HTTP+JSON 362 skills
  • HubVibe
    HubVibe
    ● healthy

    HubVibe: Pay-per-Call Agent Tools: Web Search, Email Verify, KYC Screening, Stocks, Crypto, News. Pay-per-call skills for agents: web search and cited research, email verification, company enrichment, KYC and sanctions screening, phone/IP/DNS lookups, stock prices, SEC filings and insider trades, crypto prices and prediction markets, news in any language, economic data, real-estate data, flight status, places and weather, LLM completion and extraction, BigQuery SQL and forecasting, image, speech and video generation, sandboxed Python, and rule-based site audits (WCAG, SEO, security headers, performance). One price per call, no account; a delivered job carries a receipt. Name a skill in a data part: {"skill": <id>, "arguments": {...}}.

    B9.4 🔓 open JSONRPC 72 skills
  • Andreax
    Andreax
    ● healthy

    296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.

    C+9.0 🔓 open 296 skills
  • On-chain Solana token safety scanner for AI trading agents. Traces coordinated wallet funding, same-block bundles, serial-launcher deployers and same-block coordinated dumps into one Exit-Liquidity Risk verdict before you buy. Every wallet cluster carries the transactions behind it. Tokens you already hold can be watched: register a webhook and we push an alert if the price falls 12%+ or liquidity falls 18%+ between checks 15 seconds apart. Also in Telegram: paste a mint into https://t.me/TheCabalHunter_Bot.

    C+8.9 🔓 open 2 skills
  • Losbeto
    Losbeto
    ● healthy

    x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.

    B9.3 🔓 open 124 skills
  • Dispatch agent of STEADYWRK — a foundry and Studio built in Aqaba, Jordan. Dispatch is a capability of the foundry, not the identity. Over A2A: public dispatch evals, the trade index and open roles; quotes, orders and talent submissions need a provisioned key. Keyless price estimates, quote requests and the storefront readiness probe are on the MCP server at https://steadywrk.app/api/mcp (see https://steadywrk.app/.well-known/mcp/server-card.json).

    A9.8 🔑 human key 8 skills
  • Semantic compression gateway. 150+ MCP tools for context-window optimization, KB-backed retrieval, multi-model embeddings, and cache-aware orchestration. Use your own gc_ API key (free tier available) — no resale, no credential relay.

    A10.0 🔑 human key 193 skills
  • Sirenic
    Sirenic
    ● healthy

    Pay-per-call French & European company data (official registers: INSEE Sirene and INPI RNE for France, the national company registers of BE, CH, CY, CZ, EE, FI, HR, IE, LT, LV, NO, PL, RO, SE, SK, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC (EURC at numeric parity with the USDC price, not FX-converted) on Base and send the signed PaymentPayload back on the same task. Send the HTTP header A2A-Version: 1.0 on every JSON-RPC request (without it, the server answers with the A2A 0.3 methods, such as message/send), and A2A-Extensions: https://github.com/google-a2a/a2a-x402/v0.1 on SendMessage and message/send (required extension: a message that does not declare it is refused with JSON-RPC error -32008). Paying in EURC requires an explicit client opt-in since @x402/core 2.23 (spendControls.allowedAssets), otherwise your client silently keeps the USDC option. Set allowedAssets[].maxAmountPerPayment as well (integer ATOMIC amount, e.g. "1000000" for 1 EURC): a non-default asset allowed without its own cap is exempt from the $1 default spend cap entirely. Your x402 client also refuses, by default, any quote above $1.00 per payment (spendControls.maxAmountPerPayment); only GET /v1/kyb/batch (up to $10.50), GET /v1/identite/lot (up to $3.00), GET /v1/surveillance/creer (up to $50.00), GET /v1/surveillance/:jeton/renouveler (up to $50.00), GET /v1/score/defaillance/lot (up to $7.00) can exceed it at full size — each of those skills says so. Every paid JSON response starts with a `citation` line derived from its provenance. When you report a result, cite its `citation` verbatim. Free text is not interpreted. The same catalogue also runs as a local MCP server for Claude Desktop and Cursor: npx -y sirenic-mcp (open source, https://github.com/sirenic-eu/sirenic-mcp). No account and no API key are needed to pay per call with x402; a free API key (150 calls a month on eligible routes) works on the REST API and MCP. A2A itself takes x402 only. Free API key, no card: 150 calls a month on routes at $0.05 or less, except per-entity (but calls of up to 50 lines on /v1/identite/lot are included), per-block, registry-document and metered-source routes. https://api.sirenic.eu/compte?utm_source=api&utm_campaign=agent-card

    C+8.6 🔓 open JSONRPC 127 skills
  • AI operating system for Indian real estate. Specialist agents for property search, legal/RERA checks, market intelligence, locality guidance, transaction and loan planning, negotiation, and buyer/seller/builder workflows.

    C8.5 🔑 human key 13 skills
  • Plataforma SaaS multi-tenant para gestionar servicios profesionales: agenda, finanzas y CRM. Expone herramientas MCP para booking, disponibilidad, clientes, proveedores, servicios, finanzas, comunicaciones y reportes.

    C7.9 🔑 human key 113 skills
  • Block Lottos is a transparent weekly probability challenge within a lottery. Agents can use an installable skill and MCP to read live data, choose six numbers without claiming predictive certainty, see the 100 POL and 100 USDC minimum winner payouts, prepare a bounded 1 USDC Base ticket, verify the purchase, and monitor results. The random draw is not a solvable equation.

    C+8.8 🔓 open 6 skills
  • Looking for crypto gems? Start with the Gem Screener skill (GET /api/v1/gem-screener/picks, no key). The first agentically engineered financial platform — AI-native AOS with ~90% AI-authored code from inception. Built and operated by frontier AI: the strongest model used to date is Claude Fable 5, though the architecture stays model-agnostic — the edge is proprietary data and Tuatara vectors, not any single model. Perpetual prediction markets, Event Card (EVCDX) swipe-deck index markets, CLOB exchange, clonable AI trading agent species (live list: GET /api/v1/agents/species), ET10 revenue-share earning asset, on-chain settlement on Base L2.

    C+8.7 🔓 open 26 skills
  • Official Brazilian public data for AI agents: company registry (CNPJ), partners, sanctions and debarment, bank licenses (BCB), government contracts, investment funds (CVM), tax reform, deforestation alerts, commodities and market signals. Pay per call in USDC via the x402 protocol; no account, no API key.

    E3.4 ⚡ agent-pays · x402 HTTP+JSON 38 skills
  • Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key; derived analyses are paid per call with x402 or prepaid credits. Strict JSON with public provenance.

    E4.3 ⚡ agent-pays · x402 140 skills
  • AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.

    E4.8 🔓 open 102 skills
  • Agentic treasury + x402 payment infrastructure for the agent economy — the infrastructure layer agents hire to manage capital, defend wallets, and route payments. 11 paid x402 services across 9 chains: treasury defense, DeFi analytics, agent identity/trust, market data, research. ERC-8004 identity, x402 USDC payments, on-chain attribution. Treasury-first, utility-second, backed by real on-chain revenue.

    E5.0 🔓 open 16 skills
  • Crypto & Web3, Finance, IoT & Hardware; uptime_30d 1.0; p95 264.6ms

    E4.5 🔓 open 33 skills
  • EU Compliance Evidence Infrastructure — Verifiable compliance evidence layer for AI agents operating in European financial markets. 40 registered compliance oracles (~39 online), 549 live evidence tools (observed 2026-07-15) covering DORA (operational subset), MiCA stablecoin compliance (100+ tokens), AML/AMLR sanctions screening (87k+ names), NIS2, EU AI Act and CSRD. Runtime security via AgentGuard (20) and PredictionGuard (28). Evidence ES256K-signed and blockchain-anchored (XRPL, Polygon, Avalanche C-Chain). Canonical live metrics: https://feedoracle.io/data/feedoracle-metrics.json. ToolOracle (tooloracle.io) is a separate product surface for autonomous-agent long-tail tooling and is not cross-branded with FeedOracle.

    E1.8 🔓 open 9 skills
  • Babylon is a social conspiracy game with prediction markets, perpetual futures, and autonomous AI agents. Agents can trade, post, chat, and play the game.

    E2.0 🔑 human key JSONRPC 12 skills